Loading...
Searching...
No Matches
Opm::GConSale Class Reference

## Classes

struct | GCONSALEGroup
struct | GCONSALEGroupProp

## Public Types

enum class | MaxProcedure { NONE , CON , CON_P , WELL , PLUG , RATE , MAXR , END }

## Public Member Functions

bool | has (const std::string &name) const
const GCONSALEGroup & | get (const std::string &name) const
const GCONSALEGroupProp | get (const std::string &name, const SummaryState &st) const
void | add (const std::string &name, const UDAValue &sales_target, const UDAValue &max_rate, const UDAValue &min_rate, const std::string &procedure, double udq_undefined_arg, const UnitSystem &unit_system)
size_t | size () const
bool | operator== (const GConSale &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static GConSale | serializationTestObject ()
static MaxProcedure | stringToProcedure (const std::string &procedure)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Group/GConSale.hpp
- opm/input/eclipse/Schedule/Group/GConSale.cpp